aboutsummaryrefslogtreecommitdiffstats
path: root/community/openexr/APKBUILD
diff options
context:
space:
mode:
authorMark Riedesel <mark@klowner.com>2016-08-29 12:37:02 -0500
committerJakub Jirutka <jakub@jirutka.cz>2016-08-30 11:30:06 +0200
commitd96fd62d5f0180854ee1c8012a70a59ff5254963 (patch)
treed9c12c4b6e8485aedff78c3b9cf965d1117e5ee5 /community/openexr/APKBUILD
parent3ef94dc3d61de26f794bbc8563d1480cf9b11de3 (diff)
downloadaports-d96fd62d5f0180854ee1c8012a70a59ff5254963.tar.gz
aports-d96fd62d5f0180854ee1c8012a70a59ff5254963.tar.bz2
aports-d96fd62d5f0180854ee1c8012a70a59ff5254963.tar.xz
community/openexr: cleanup and claim maintainership
Diffstat (limited to 'community/openexr/APKBUILD')
-rw-r--r--community/openexr/APKBUILD23
1 files changed, 14 insertions, 9 deletions
diff --git a/community/openexr/APKBUILD b/community/openexr/APKBUILD
index aceac1e042..eb0231cbb5 100644
--- a/community/openexr/APKBUILD
+++ b/community/openexr/APKBUILD
@@ -1,27 +1,26 @@
# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
-# Maintainer:
+# Maintainer: Mark Riedesel <mark+alpine@klowner.com>
pkgname=openexr
pkgver=2.2.0
pkgrel=1
-pkgdesc="An high dynamic-range image file format library"
+pkgdesc="A high dynamic-range image file format library"
url="http://www.openexr.com/"
arch="all"
license="BSD"
depends=""
-depends_dev=""
makedepends="ilmbase-dev zlib-dev"
-install=""
-subpackages="$pkgname-dev $pkgname-libs $pkgname-doc"
+subpackages="$pkgname-doc $pkgname-dev $pkgname-tools"
source="http://download.savannah.nongnu.org/releases/openexr/${pkgname}-${pkgver}.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
-_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
- cd "$_builddir"
+ cd "$builddir"
+ default_prepare || return 1
update_config_sub || return 1
}
build() {
- cd "$_builddir"
+ cd "$builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -36,7 +35,13 @@ build() {
package() {
make DESTDIR="$pkgdir" \
- -C "$_builddir" install || return 1
+ -C "$builddir" install || return 1
+}
+
+tools() {
+ cd "$builddir"
+ mkdir -p "$subpkgdir"/usr/
+ mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
}
md5sums="b64e931c82aa3790329c21418373db4e openexr-2.2.0.tar.gz"